/*

    qmailalizer - a qmail-send log analysis program

    Copyright (C) 2001  Pichler Wolfgang  (wpichler@dialog-gruppe.at)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version, and provided that the above
    copyright and permission notice is included with all distributed
    copies of this or derived software.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA

    This software uses the gd graphics library, which is copyright by
    Quest Protein Database Center, Cold Spring Harbor Labs.  Please
    see the documentation supplied with the library for additional
    information and license terms, or visit www.boutell.com/gd/ for the
    most recent version of the library and supporting documentation.


*/

const char *version="0.32";

#include <stdio.h>
#include <stdlib.h>
#include <getopt.h>
#include <fcntl.h>
#include <unistd.h>
#include <time.h>
#include "parse.h"

void printwarrantie ()
{
  printf ("\nQmailalizer version %s, Copyright (C) 2001 Wolfgang Pichler\nQmailalizer comes with ABSOLUTELY NO WARRANTY;\nFor details start with --warranty.\nThis is free software, and you are welcome to redistribute\nit under certain conditions; start with --redistribute for details.\n\n",version);
}

void help (int opt)
{
  printf ("Unknow option.\n");
  printf ("Known Options are:\n");
  printf ("  -s filename : smtpd log file to analize\n");
  printf ("\n");
}

int main(int argc,char **argv)
{ int opt;
  Parser *parser;
  
  printwarrantie ();
  parser = new Parser();
  parser->start();
  parser->results->ordne_zu ();
  parser->save ();
  while ((opt = getopt(argc,argv,"s:")) != -1)
    switch(opt)
    {
      case '?':
      default:
        help (opt);
    }
  argc -= optind;
  argv += optind;
  delete (parser);
  return 0;
}
